package scenario

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func TestCARTtoISOtoCART(t *testing.T) {
	for i := 0; i < 120; i++ {
		for j := 0; j < 120; j++ {
			orig := IsoPt{X: float64(i), Y: float64(j)}
			asPix := orig.ToCart()
			andBack := asPix.ToISO()

			t.Logf("%v,%v: asPix = %v", i, j, asPix)

			require.Equal(t, orig, andBack)
		}
	}
}
